package com.gct.common.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分页查询参数
 */
@Data
@ApiModel(value="Param", description="分页查询参数封装")
public class Param {

	@ApiModelProperty(value = "参数名称")
	private String key;

	@ApiModelProperty(value = "参数值")
	private String value;

	@ApiModelProperty(value = "查询类型： " +
			"eq：判断相等 \n" +
			"like：模糊查询 \n" +
			"lt：小于\n" +
			"gt：大于")
	private String type;
	

}