package com.gct.common.core.shardingJDBC;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

/**
 * class name: DataSourceProperties
 *
 * @author gxt
 * @version 1.0
 * @since 2021/10/18 上午11:00 周一
 */
@Data
@ConfigurationProperties(prefix = "spring.datasource")
public class DataSourceProperties {
    public String driverClassname;
    //数据库连接
    public  String url;
    //用户名
    public String userName;
    //密码
    public String passWord;
}
