package com.gct.common.core.shardingJDBC;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * class name: ShardingJDBCProperties
 *
 * @author gxt
 * @version 1.0
 * @since 2021/10/14 下午4:27 周四
 */
@Data
@ConfigurationProperties(prefix = "spring.sharding")
public class ShardingJDBCProperties {
    //属于那个数据库连接
    public   String dsNumValue;
    //数据库名字
    public String dataSourceNameValue;
    //数据库的实例名
    public String dataSourceNameValueForEx;
    //分表的表名
    public String tableNameValue;
    //字段名字
    public String cloumnNameValue;

}
