package com.gct.common.security.config;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * class name: WebSecurityConfigPropertites
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/7 下午1:24
 */
//@Component
@ConfigurationProperties(prefix = "spring.security.gct")
@Data
@Accessors(chain = true)
public class WebSecurityConfigProperties {

    private String[] antMatchers = {"/*"};

}
