package com.gct.common.core.result;

/**
 * @author: NewMeanning
 * @create: 2020-09-25 11:58
 **/
public class CodeMsg implements CodeMsgInterface {

    private int code;
    private String msg;

    @Override
    public String getMsg() {
        return msg;
    }


    @Override
    public int getCode() {
        return code;
    }

    private CodeMsg(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    /**
     * 创建方法
     * @param code
     * @param msg
     * @return
     */
    public static CodeMsgInterface createCodeMsg(int code, String msg){
        return new CodeMsg(code,msg);
    }

    /**
     * 接口枚举创建方法
     * @param codeMsg
     * @return
     */
    public static CodeMsgInterface createCodeMsg(CodeMsgInterface codeMsg){
        return new CodeMsg(codeMsg.getCode(),codeMsg.getMsg());
    }



}
