package com.gct.common.core.shardingJDBC;

import org.springframework.context.annotation.Import;
import org.springframework.stereotype.Component;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * annotation type: EnableShardingJDBC
 *
 * @author gxt
 * @version 1.0
 * @since 2021/10/14 下午4:10 周四
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import({ShardingJDBCConfigurationContextAware.class,ShardingJDBCConfiguration.class})
public @interface EnableShardingJDBC {

}
