package com.gct.common.core.shardingJDBC;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.annotation.Configuration;

import java.lang.annotation.Annotation;
import java.util.Map;

/**
 * class name: ShardingJDBCConfiguration
 *
 * @author gxt
 * @version 1.0
 * @since 2021/10/12 下午6:34 周二
 */
//@Configuration
public class ShardingJDBCConfigurationContextAware implements ApplicationContextAware {


    static  ApplicationContext context;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        context = applicationContext;
    }

    public  static Map<String, Object> getBeansByAnnotation(Class<? extends Annotation> an){
        return context.getBeansWithAnnotation(an);
    }
}

