package com.gct.common.security.core;

import java.util.Date;

/**
 * interface name: CheckTokenCaching
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/8 下午1:50
 */
public interface CheckTokenCaching {
    /**
     *
     * @param token
     * @return true:exited false:not exited
     */
    boolean isExitedInCache(String token);

    boolean setTokenToCache(String token, Date expirationDate);

    boolean deleteTokenFromCache(String token);
}
